#' @title    Data for Example 3.1.1 from Experimental Design and Analysis for Tree Improvement
#' @name     DataExam3.1.1
#' @docType  data
#' @keywords datasets
#' @description Exam3.1.1 is part of data from Australian Centre for Agricultural Research (ACIAR)
#'              in Queensland, Australia (Experiment 309).
#' @usage    data(DataExam3.1.1)
#' @format A \code{data.frame} with 10 rows and 6 variables.
#' \describe{
#'        \item{\code{Repl}}{Replication number of different Seedlots}
#'        \item{\code{PlotNo}}{Plot No of differnt Trees}
#'        \item{\code{SeedLot}}{Seed Lot number}
#'        \item{\code{TreeNo}}{Tree number of Seedlots}
#'        \item{\code{Ht}}{Height in meter}
#'        \item{\code{Dgl}}{Diameter at ground level}
#'        }
#'
#' @author
#' \enumerate{
#'          \item  Muhammad Yaseen (\email{myaseen208@@gmail.com})
#'          \item  Sami Ullah (\email{samiullahuos@@gmail.com})
#'          }
#'
#' @references
#' \enumerate{
#'          \item E.R. Williams, C.E. Harwood and A.C. Matheson (2023). \emph{Experimental Design and Analysis for Tree Improvement}.
#'                CSIRO Publishing (\href{https://www.publish.csiro.au/book/3145/}{https://www.publish.csiro.au/book/3145/}).
#'              }
#'
#' @seealso
#'    \code{\link{Exam3.1.1}}
#'
#' @examples
#' data(DataExam3.1.1)
#'
NULL
